Index: bf_sd/source/ui/unoidl/sd_unoobj.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/unoidl/sd_unoobj.cxx,v
retrieving revision 1.4
retrieving revision 1.4.70.1
diff -u -r1.4 -r1.4.70.1
--- bf_sd/source/ui/unoidl/sd_unoobj.cxx	8 Sep 2005 01:27:27 -0000	1.4
+++ bf_sd/source/ui/unoidl/sd_unoobj.cxx	28 Apr 2006 08:58:35 -0000	1.4.70.1
@@ -156,7 +156,7 @@
 
 ///////////////////////////////////////////////////////////////////////
 
-DECLARE_STL_STDKEY_MAP(sal_uInt32, SfxExtItemPropertySetInfo*, SdExtPropertySetInfoCache);
+DECLARE_STL_STDKEY_MAP(sal_uIntPtr, SfxExtItemPropertySetInfo*, SdExtPropertySetInfoCache);
 static SdExtPropertySetInfoCache gImplImpressPropertySetInfoCache;
 static SdExtPropertySetInfoCache gImplDrawPropertySetInfoCache;
 
@@ -431,7 +431,7 @@
 ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertySetInfo > SAL_CALL SdXShape::getPropertySetInfo()
 	throw(::com::sun::star::uno::RuntimeException)
 {
-	sal_uInt32 nObjId = (sal_uInt32)mpShape->getPropertyMap();
+	sal_uIntPtr nObjId = (sal_uIntPtr)mpShape->getPropertyMap();
 	SfxExtItemPropertySetInfo* pInfo = NULL;
 
 	SdExtPropertySetInfoCache* pCache = (mpModel && mpModel->IsImpressDocument()) ? 
Index: bf_sd/source/ui/view/sd_frmview.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/view/sd_frmview.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_sd/source/ui/view/sd_frmview.cxx	8 Sep 2005 01:40:53 -0000	1.6
+++ bf_sd/source/ui/view/sd_frmview.cxx	27 Apr 2006 16:05:09 -0000	1.6.70.1
@@ -321,7 +321,7 @@
 
 /*N*/ SvStream& operator << (SvStream& rOut, const FrameView& rView)
 /*N*/ {
-/*N*/ 	ULONG nULTemp;
+/*N*/ 	sal_uInt32 nULTemp;
 /*N*/ 
 /*N*/ 	// #95895# translate view-layer name to standard-ASCII
 /*N*/ 	// like in MakeUniqueLayerNames()
@@ -384,9 +384,9 @@
 /*N*/ 	rOut << rView.bNoColors;
 /*N*/ 	rOut << rView.bNoAttribs;
 /*N*/ 	rOut << rView.aVisArea;
-/*N*/ 	nULTemp = (ULONG) rView.ePageKind;            rOut << nULTemp;
+/*N*/ 	nULTemp = (sal_uInt32) rView.ePageKind;            rOut << nULTemp;
 /*N*/ 	rOut << rView.nSelectedPage;
-/*N*/ 	nULTemp = (ULONG) rView.eStandardEditMode;    rOut << nULTemp;
+/*N*/ 	nULTemp = (sal_uInt32) rView.eStandardEditMode;    rOut << nULTemp;
 /*N*/ 	rOut << rView.bLayerMode;
 /*N*/ 	rOut << rView.bQuickEdit;
 /*N*/ 	rOut << rView.bDragWithCopy;
@@ -396,11 +396,11 @@
 /*N*/ 	rOut << rView.bDoubleClickTextEdit;
 /*N*/ 	rOut << rView.bClickChangeRotation;
 /*N*/ 
-/*N*/ 	nULTemp = (ULONG) rView.eNotesEditMode;       rOut << nULTemp;
-/*N*/ 	nULTemp = (ULONG) rView.eHandoutEditMode;     rOut << nULTemp;
+/*N*/ 	nULTemp = (sal_uInt32) rView.eNotesEditMode;       rOut << nULTemp;
+/*N*/ 	nULTemp = (sal_uInt32) rView.eHandoutEditMode;     rOut << nULTemp;
 /*N*/ 
-/*N*/ 	rOut << rView.nDrawMode;
-/*N*/ 	rOut << rView.nPreviewDrawMode;
+/*N*/ 	rOut << static_cast<sal_uInt32>(rView.nDrawMode);
+/*N*/ 	rOut << static_cast<sal_uInt32>(rView.nPreviewDrawMode);
 /*N*/ 
 /*N*/ 	rOut << rView.bShowPreviewInPageMode;
 /*N*/ 	rOut << rView.bShowPreviewInMasterPageMode;
@@ -443,7 +443,7 @@
 /*N*/ 
 /*N*/ 	if (aIO.GetVersion() >= 3)
 /*N*/ 	{
-/*N*/ 		ULONG nULTemp;
+/*N*/ 		sal_uInt32 nULTemp;
 /*N*/ 		rIn >> rView.aVisArea;
 /*N*/ 		rIn >> nULTemp;          rView.ePageKind = (PageKind) nULTemp;
 /*N*/ 		rIn >> rView.nSelectedPage;
@@ -478,15 +478,18 @@
 /*N*/ 
 /*N*/ 	if (aIO.GetVersion() >= 8)
 /*N*/ 	{
-/*N*/ 		ULONG nULTemp;
+/*N*/ 		sal_uInt32 nULTemp;
 /*N*/ 		rIn >> nULTemp; rView.eNotesEditMode   = (EditMode) nULTemp;
 /*N*/ 		rIn >> nULTemp; rView.eHandoutEditMode = (EditMode) nULTemp;
 /*N*/ 	}
 /*N*/ 
 /*N*/ 	if (aIO.GetVersion() >= 9)
 /*N*/ 	{
-/*N*/ 		rIn >> rView.nDrawMode;
-/*N*/ 		rIn >> rView.nPreviewDrawMode;
+/*N*/ 		sal_uInt32 nTemp;
+/*N*/ 		rIn >> nTemp;
+/*N*/ 		rView.nDrawMode = nTemp;
+/*N*/ 		rIn >> nTemp;
+/*N*/ 		rView.nPreviewDrawMode = nTemp;
 /*N*/ 	}
 /*N*/ 
 /*N*/ 	if (aIO.GetVersion() >= 10)
Index: bf_sfx2/source/appl/sfx2_sfxpicklist.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sfx2/source/appl/sfx2_sfxpicklist.cxx,v
retrieving revision 1.4
retrieving revision 1.4.70.1
diff -u -r1.4 -r1.4.70.1
--- bf_sfx2/source/appl/sfx2_sfxpicklist.cxx	8 Sep 2005 02:29:51 -0000	1.4
+++ bf_sfx2/source/appl/sfx2_sfxpicklist.cxx	27 Apr 2006 15:24:14 -0000	1.4.70.1
@@ -219,7 +219,7 @@
 //STRIP001 		return 0;
 //STRIP001 }
 
-/*N*/ SfxPickList*	SfxPickList::GetOrCreate( const ULONG nMenuSize )
+/*N*/ SfxPickList*	SfxPickList::GetOrCreate( const sal_uInt32 nMenuSize )
 /*N*/ {
 /*N*/ 	if ( !pUniqueInstance )
 /*N*/ 	{
Index: bf_sfx2/source/bastyp/sfx2_fltfnc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sfx2/source/bastyp/sfx2_fltfnc.cxx,v
retrieving revision 1.11
retrieving revision 1.11.68.1
diff -u -r1.11 -r1.11.68.1
--- bf_sfx2/source/bastyp/sfx2_fltfnc.cxx	8 Sep 2005 02:34:30 -0000	1.11
+++ bf_sfx2/source/bastyp/sfx2_fltfnc.cxx	27 Apr 2006 14:16:34 -0000	1.11.68.1
@@ -380,7 +380,7 @@
 
 //----------------------------------------------------------------
 
-/*?*/ sal_uInt32 SfxFilterContainer::Execute( SfxMedium& rMedium, SfxFrame*& pFrame) const
+/*?*/ ULONG SfxFilterContainer::Execute( SfxMedium& rMedium, SfxFrame*& pFrame) const
 /*?*/ {DBG_BF_ASSERT(0, "STRIP"); return 0;//STRIP001 
 //STRIP001 	return ERRCODE_ABORT;
 /*?*/ }
@@ -476,7 +476,7 @@
 	 Ermitelt einen Filter nach seiner ClipboardID. Diese steckt im Storage.
  */
 /*N*/ IMPL_CONTAINER_LOOP(
-/*N*/     GetFilter4ClipBoardId, sal_uInt32, aArg && pFilter->GetFormat() == aArg )
+/*N*/     GetFilter4ClipBoardId, ULONG, aArg && pFilter->GetFormat() == aArg )
 
 #ifdef MAC
 #define CONDITION \
@@ -570,7 +570,7 @@
 
 //-------------------------------------------------------------------------
 
-/*?*/ sal_uInt32 SfxFilterContainer::GetFilter4Content(
+/*?*/ ULONG SfxFilterContainer::GetFilter4Content(
 /*?*/     SfxMedium& rMedium, const SfxFilter** ppFilter,
 /*?*/ 	SfxFilterFlags, SfxFilterFlags ) const
 /*?*/ {
@@ -690,7 +690,7 @@
 
 //----------------------------------------------------------------
 
-/*N*/ sal_uInt32 SfxFactoryFilterContainer::GetFilter4Content(
+/*N*/ ULONG SfxFactoryFilterContainer::GetFilter4Content(
 /*N*/     SfxMedium& rMedium, const SfxFilter** ppFilter, SfxFilterFlags nMust, SfxFilterFlags nDont ) const
 /*N*/ {
 /*N*/ 	SFX_ITEMSET_ARG( rMedium.GetItemSet(), pTargetItem, SfxStringItem,
@@ -701,7 +701,7 @@
 /*N*/ 
 /*N*/     if( pFunc )
 /*N*/     {
-/*N*/         sal_uInt32 nErr = (*pFunc)(rMedium, ppFilter, nMust, nDont);
+/*N*/         ULONG nErr = (*pFunc)(rMedium, ppFilter, nMust, nDont);
 /*N*/         DBG_ASSERT( !*ppFilter ||
 /*N*/                     (((*ppFilter)->GetFilterFlags() & nMust ) == nMust &&
 /*N*/                      ((*ppFilter)->GetFilterFlags() & nDont ) == 0 ),
@@ -803,12 +803,12 @@
 
 //----------------------------------------------------------------
 
-/*N*/ sal_uInt32  SfxFilterMatcher::GuessFilterIgnoringContent(
+/*N*/ ULONG SfxFilterMatcher::GuessFilterIgnoringContent(
 /*N*/     SfxMedium& rMedium, const SfxFilter**ppFilter,
 /*N*/     SfxFilterFlags nMust, SfxFilterFlags nDont ) const
 /*N*/ {
 /*N*/     String aFileName = rMedium.GetName();
-/*N*/     sal_uInt32 nErr = ERRCODE_NONE;
+/*N*/     ULONG nErr = ERRCODE_NONE;
 /*N*/ 	const SfxFilter* pFilter = *ppFilter;
 /*N*/ 	const INetURLObject& rObj = rMedium.GetURLObject();
 /*N*/ 
@@ -924,7 +924,7 @@
 
 //----------------------------------------------------------------
 
-/*N*/ sal_uInt32  SfxFilterMatcher::GuessFilter(
+/*N*/ ULONG SfxFilterMatcher::GuessFilter(
 /*N*/     SfxMedium& rMedium, const SfxFilter**ppFilter,
 /*N*/     SfxFilterFlags nMust, SfxFilterFlags nDont ) const
 /*N*/ {
@@ -1274,10 +1274,10 @@
 
 //----------------------------------------------------------------
 
-/*STRIP003*/ sal_uInt32 SfxFilterMatcher::GetFilter4Content(
+/*STRIP003*/ ULONG SfxFilterMatcher::GetFilter4Content(
 /*STRIP003*/     SfxMedium& rMedium, const SfxFilter** ppFilter,  SfxFilterFlags nMust, SfxFilterFlags nDont, sal_Bool bOnlyGoodOnes ) const
 /*STRIP003*/ {
-/*STRIP003*/     sal_uInt32 nErr = ERRCODE_NONE;
+/*STRIP003*/     ULONG nErr = ERRCODE_NONE;
 /*STRIP003*/     SfxFContainerList_Impl& rList = pImpl->aList;
 /*STRIP003*/     sal_uInt16 nCount = (sal_uInt16)rList.Count();
 /*STRIP003*/     for( sal_uInt16 n = 0; n<nCount; n++ )
@@ -1327,7 +1327,7 @@
 /*N*/ IMPL_LOOP( GetFilter4EA, const String& )
 /*N*/ IMPL_LOOP( GetFilter4Extension, const String& )
 /*N*/ IMPL_LOOP( GetFilter4Protocol, SfxMedium& )
-/*N*/ IMPL_LOOP( GetFilter4ClipBoardId, sal_uInt32 )
+/*N*/ IMPL_LOOP( GetFilter4ClipBoardId, ULONG )
 /*N*/ IMPL_LOOP( GetFilter, const String& )
 /*N*/ IMPL_LOOP( GetFilter4FilterName, const String& )
 //STRIP001 IMPL_LOOP( GetFilter4UIName, const String& )
Index: bf_sfx2/source/doc/sfx2_docfac.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sfx2/source/doc/sfx2_docfac.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_sfx2/source/doc/sfx2_docfac.cxx	8 Sep 2005 03:09:37 -0000	1.7
+++ bf_sfx2/source/doc/sfx2_docfac.cxx	27 Apr 2006 15:36:34 -0000	1.7.70.1
@@ -168,7 +168,7 @@
 /*?*/ 	const String&   	rName,          // Klartext-Name f"ur Anzeige im Dialog
 /*?*/ 	const String&       rWildcard,      // Default-Wildcards
 /*?*/ 	SfxFilterFlags      eType,          // SFX_FILTER_...
-/*?*/ 	sal_uInt32               lFormat,        // Clipboard-Format
+/*?*/ 	ULONG lFormat,        // Clipboard-Format
 /*?*/ 	const String&       rMacType,       // 4-Byte-Type f"ur Apple Macintosh
 /*?*/ 	const String&       rTypeName,      // String-Type f"ur OS/2
 /*?*/ 	sal_uInt16              nIconId,        // Resource-Id f"ur Icon
Index: bf_sfx2/source/doc/sfx2_docfilt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sfx2/source/doc/sfx2_docfilt.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_sfx2/source/doc/sfx2_docfilt.cxx	8 Sep 2005 03:10:05 -0000	1.6
+++ bf_sfx2/source/doc/sfx2_docfilt.cxx	27 Apr 2006 15:36:34 -0000	1.6.70.1
@@ -92,7 +92,7 @@
 /*N*/ SfxFilter::SfxFilter(  const String &rName,
 /*N*/ 					   const String &rWildCard,
 /*N*/ 					   SfxFilterFlags nType,
-/*N*/ 					   sal_uInt32 lFmt,
+/*N*/ 					   ULONG lFmt,
 /*N*/ 					   const String &rMacTyp,
 /*N*/ 					   const String &rTypNm,
 /*N*/ 					   sal_uInt16 nIcon,
Index: bf_sfx2/source/doc/sfx2_docinf.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sfx2/source/doc/sfx2_docinf.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sfx2/source/doc/sfx2_docinf.cxx	8 Sep 2005 03:10:21 -0000	1.5
+++ bf_sfx2/source/doc/sfx2_docinf.cxx	27 Apr 2006 15:36:34 -0000	1.5.72.1
@@ -353,11 +353,11 @@
 /*N*/ 				   60* aDateTime.GetMin() +
 /*N*/ 				   60L*60* aDateTime.GetHour() ));
 /*N*/ 
-/*N*/ 	BigInt aUlongMax((ULONG)ULONG_MAX);
+/*N*/ 	BigInt aUlongMax(SAL_MAX_UINT32);
 /*N*/ 	aUlongMax += 1;
 /*N*/ 
-/*N*/ 	rStream<<(UINT32)(aTime % aUlongMax) ;
-/*N*/ 	rStream<<(UINT32)(aTime / aUlongMax);
+/*N*/ 	rStream<<rStream<<static_cast<sal_uInt32>(static_cast<ULONG>(aTime % aUlongMax));
+/*N*/ 	rStream<<rStream<<static_cast<sal_uInt32>(static_cast<ULONG>(aTime / aUlongMax));
 /*N*/ 	return rStream.GetErrorCode();
 /*N*/ }
 
@@ -368,7 +368,7 @@
 /*N*/ 	UINT32 nLow, nHigh;
 /*N*/ 	rStream >> nLow;
 /*N*/ 	rStream >> nHigh;
-/*N*/ 	BigInt aUlongMax( (ULONG)ULONG_MAX );
+/*N*/ 	BigInt aUlongMax( SAL_MAX_UINT32 );
 /*N*/ 	aUlongMax += 1;
 /*N*/ 	BigInt aTime = aUlongMax * BigInt( nHigh );
 /*N*/ 	aTime += nLow;
Index: bf_sfx2/source/inc/sfxpicklist.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sfx2/source/inc/sfxpicklist.hxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- bf_sfx2/source/inc/sfxpicklist.hxx	8 Sep 2005 03:34:48 -0000	1.4
+++ bf_sfx2/source/inc/sfxpicklist.hxx	27 Apr 2006 15:24:21 -0000	1.4.72.1
@@ -81,7 +81,7 @@
 	sal_uInt32						m_nAllowedMenuSize;
 	::com::sun::star::uno::Reference< ::com::sun::star::util::XStringWidth > m_xStringLength;
 
-							SfxPickList( ULONG nMenuSize );
+							SfxPickList( sal_uInt32 nMenuSize );
 //STRIP001 							~SfxPickList();
 
 	static osl::Mutex*		GetOrCreateMutex();
@@ -92,7 +92,7 @@
 //STRIP001 	void					RemovePickListEntries();
 
 	public:
-		static SfxPickList*	GetOrCreate( const ULONG nMenuSize );
+		static SfxPickList*	GetOrCreate( const sal_uInt32 nMenuSize );
 //STRIP001 		static SfxPickList*	Get();
 //STRIP001 		static void			Delete();
 
Index: bf_starmath/source/starmath_document.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_starmath/source/starmath_document.cxx,v
retrieving revision 1.8
retrieving revision 1.8.70.1
diff -u -r1.8 -r1.8.70.1
--- bf_starmath/source/starmath_document.cxx	8 Sep 2005 04:01:52 -0000	1.8
+++ bf_starmath/source/starmath_document.cxx	27 Apr 2006 14:00:41 -0000	1.8.70.1
@@ -1813,9 +1813,9 @@
 /*N*/ 	{
 /*N*/ 		SvStream*	 pSvStream = aTempStream;
 /*N*/ 		char		 cTag;
-/*N*/ 		ULONG		 lIdent, lVersion;
+/*N*/ 		sal_uInt32	 lIdent, lVersion;
 /*N*/ 		long		 lTime;
-/*N*/ 		ULONG		 lDate;
+/*N*/ 		sal_uInt32	 lDate;
 /*N*/ 		String		 aBuffer;
 /*N*/         ByteString   aByteStr;
 /*N*/
@@ -1914,9 +1914,9 @@
 
         SvStream*    pSvStream = aTempStream;
         char         cTag;
-        ULONG        lIdent, lVersion;
+        sal_uInt32   lIdent, lVersion;
         long         lTime;
-        ULONG        lDate;
+        sal_uInt32   lDate;
         UINT32       lDataSize;
         String       aBuffer;
         ByteString   aByteStr;
Index: bf_starmath/source/starmath_parse.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_starmath/source/starmath_parse.cxx,v
retrieving revision 1.8
retrieving revision 1.8.24.1
diff -u -r1.8 -r1.8.24.1
--- bf_starmath/source/starmath_parse.cxx	7 Mar 2006 10:13:24 -0000	1.8
+++ bf_starmath/source/starmath_parse.cxx	27 Apr 2006 14:00:41 -0000	1.8.24.1
@@ -594,7 +594,7 @@
 /*N*/ 	}
 /*N*/ 	else if (aRes.TokenType & KParseType::BOOLEAN)
 /*N*/ 	{
-/*N*/ 		long   &rnEndPos = aRes.EndPos;
+/*N*/ 		sal_Int32   &rnEndPos = aRes.EndPos;
 /*N*/ 		String	aName( BufferString.Copy( nRealStart, rnEndPos - nRealStart ) );
 /*N*/ 		if (2 >= aName.Len())
 /*N*/ 		{
@@ -698,7 +698,7 @@
 /*N*/ 	}
 /*N*/ 	else if (aRes.TokenType & KParseType::ONE_SINGLE_CHAR)
 /*N*/ 	{
-/*N*/ 		long   &rnEndPos = aRes.EndPos;
+/*N*/ 		sal_Int32 &rnEndPos = aRes.EndPos;
 /*N*/ 		String	aName( BufferString.Copy( nRealStart, rnEndPos - nRealStart ) );
 /*N*/ 
 /*N*/ 		if (1 == aName.Len())
Index: bf_starmath/source/starmath_utility.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_starmath/source/starmath_utility.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_starmath/source/starmath_utility.cxx	8 Sep 2005 04:07:16 -0000	1.7
+++ bf_starmath/source/starmath_utility.cxx	27 Apr 2006 14:00:41 -0000	1.7.70.1
@@ -78,17 +78,17 @@
 /*N*/ SvStream& operator << (SvStream& rStream, const SmFace& rFont)
 /*N*/ {
 /*N*/ 	rStream.WriteByteString(ExportString(rFont.GetName()));
-/*N*/ 	rStream << (ULONG)rFont.GetFamily();
-/*N*/     rStream << (ULONG)GetSOStoreTextEncoding( rFont.GetCharSet() );
-/*N*/ 	rStream << (ULONG)rFont.GetWeight();
-/*N*/ 	rStream << (ULONG)rFont.GetItalic();
+/*N*/ 	rStream << (sal_uInt32)rFont.GetFamily();
+/*N*/     rStream << (sal_uInt32)GetSOStoreTextEncoding( rFont.GetCharSet() );
+/*N*/ 	rStream << (sal_uInt32)rFont.GetWeight();
+/*N*/ 	rStream << (sal_uInt32)rFont.GetItalic();
 /*N*/ 
 /*N*/ 	return rStream;
 /*N*/ }
 
 /*N*/ SvStream& operator >> (SvStream& rStream, SmFace& rFont)
 /*N*/ {
-/*N*/ 	ULONG	nData;
+/*N*/ 	sal_uInt32 nData;
 /*N*/     ByteString  aByteStr;
 /*N*/ 
 /*N*/     rStream.ReadByteString( aByteStr );
@@ -108,7 +108,7 @@
 /*?*/ void ReadSM20Font(SvStream& rStream, Font& rFont)
 /*?*/ {
 /*?*/ 	BOOL	bData;
-/*?*/ 	ULONG	nData;
+/*?*/ 	sal_uInt32 nData;
 /*?*/     ByteString  aByteStr;
 /*?*/ 
 /*?*/     rStream.ReadByteString( aByteStr );
Index: bf_svx/source/editeng/editdoc.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/editdoc.hxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- bf_svx/source/editeng/editdoc.hxx	8 Sep 2005 05:17:39 -0000	1.4
+++ bf_svx/source/editeng/editdoc.hxx	27 Apr 2006 12:26:03 -0000	1.4.72.1
@@ -459,7 +459,7 @@
 
 class ParaPortion;
 
-SV_DECL_VARARR( CharPosArray, long, 0, CHARPOSGROW )//STRIP008 ;
+SV_DECL_VARARR( CharPosArray, sal_Int32, 0, CHARPOSGROW )//STRIP008 ;
 
 // ------------------------------------------------------------------------
 // class EditLine
Index: bf_svx/source/editeng/editobj2.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/editobj2.hxx,v
retrieving revision 1.3
retrieving revision 1.3.70.1
diff -u -r1.3 -r1.3.70.1
--- bf_svx/source/editeng/editobj2.hxx	8 Sep 2005 05:18:17 -0000	1.3
+++ bf_svx/source/editeng/editobj2.hxx	27 Apr 2006 12:16:58 -0000	1.3.70.1
@@ -193,7 +193,7 @@
 	BOOL					bOwnerOfPool;
 	XParaPortionList*		pPortionInfo;
 	
-	ULONG					nObjSettings;
+	sal_uInt32				nObjSettings;
 	USHORT 					nMetric;
 	USHORT 					nVersion;
 	USHORT					nUserType;
Index: bf_svx/source/editeng/impedit.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/impedit.hxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_svx/source/editeng/impedit.hxx	8 Sep 2005 05:20:38 -0000	1.5
+++ bf_svx/source/editeng/impedit.hxx	27 Apr 2006 12:10:21 -0000	1.5.72.1
@@ -248,7 +248,7 @@
 
 
 	long				nInvMore;
-	sal_uInt32			nControl;
+	ULONG				nControl;
 	sal_uInt32			nTravelXPos;
     sal_uInt16          nExtraCursorFlags;
     sal_uInt16          nCursorBidiLevel;
Index: bf_svx/source/editeng/svx_editdoc2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/svx_editdoc2.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_svx/source/editeng/svx_editdoc2.cxx	8 Sep 2005 05:22:41 -0000	1.6
+++ bf_svx/source/editeng/svx_editdoc2.cxx	27 Apr 2006 12:26:03 -0000	1.6.70.1
@@ -94,7 +94,7 @@
 
 /*N*/ DBG_NAME( EE_ParaPortion )
 
-/*N*/ SV_IMPL_VARARR( CharPosArray, long );
+/*N*/ SV_IMPL_VARARR( CharPosArray, sal_Int32 );
 
 /*
 
Index: bf_svx/source/editeng/svx_editeng.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/svx_editeng.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.2
diff -u -r1.7 -r1.7.70.2
--- bf_svx/source/editeng/svx_editeng.cxx	8 Sep 2005 05:22:56 -0000	1.7
+++ bf_svx/source/editeng/svx_editeng.cxx	27 Apr 2006 12:26:03 -0000	1.7.70.2
@@ -1256,7 +1256,7 @@
 /*N*/ 		pImpEditEngine->FormatAndUpdate();
 /*N*/ }
 
-/*N*/ sal_uInt32 EditEngine::Read( SvStream& rInput, EETextFormat eFormat, SvKeyValueIterator* pHTTPHeaderAttrs /* = NULL */ )
+/*N*/ ULONG EditEngine::Read( SvStream& rInput, EETextFormat eFormat, SvKeyValueIterator* pHTTPHeaderAttrs /* = NULL */ )
 /*N*/ {DBG_BF_ASSERT(0, "STRIP");return 0; //STRIP001 
 //STRIP001 	DBG_CHKTHIS( EditEngine, 0 );
 //STRIP001 	sal_Bool bUndoEnabled = pImpEditEngine->IsUndoEnabled();
@@ -1269,7 +1269,7 @@
 /*N*/ }
 
 #ifndef SVX_LIGHT
-/*N*/ sal_uInt32 EditEngine::Write( SvStream& rOutput, EETextFormat eFormat )
+/*N*/ ULONG EditEngine::Write( SvStream& rOutput, EETextFormat eFormat )
 /*N*/ {DBG_BF_ASSERT(0, "STRIP"); return 0;//STRIP001 
 //STRIP001 	DBG_CHKTHIS( EditEngine, 0 );
 //STRIP001 	EditPaM aStartPaM( pImpEditEngine->GetEditDoc().GetStartPaM() );
@@ -2333,7 +2333,7 @@
 // =====================================================================
 // ======================   Virtuelle Methoden   =======================
 // =====================================================================
-/*N*/ void __EXPORT EditEngine::DrawingText( const Point&, const XubString&, USHORT nTextStart, USHORT nTextLen, const long*, const SvxFont&, sal_uInt16 nPara, sal_uInt16 nIndex, BYTE nRightToLeft )
+/*N*/ void __EXPORT EditEngine::DrawingText( const Point&, const XubString&, USHORT nTextStart, USHORT nTextLen, const sal_Int32*, const SvxFont&, sal_uInt16 nPara, sal_uInt16 nIndex, BYTE nRightToLeft )
 /*N*/ {
 /*N*/ 	DBG_CHKTHIS( EditEngine, 0 );
 /*N*/ }
Index: bf_svx/source/editeng/svx_editobj.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/svx_editobj.cxx,v
retrieving revision 1.8
retrieving revision 1.8.26.1
diff -u -r1.8 -r1.8.26.1
--- bf_svx/source/editeng/svx_editobj.cxx	9 Feb 2006 15:09:38 -0000	1.8
+++ bf_svx/source/editeng/svx_editobj.cxx	27 Apr 2006 12:16:42 -0000	1.8.26.1
@@ -483,7 +483,7 @@
 /*N*/ 	USHORT nWhich = Which();
 /*N*/ 	rOStream << nWhich;
 /*N*/ 
-/*N*/ 	ULONG nStructSz = 0;
+/*N*/ 	sal_uInt32 nStructSz = 0;
 /*N*/ 	rOStream << nStructSz;
 /*N*/ 
 /*N*/ 	// Eigene Daten:
@@ -507,7 +507,7 @@
 /*N*/ 	USHORT nWhich;
 /*N*/ 	rIStream >> nWhich;
 /*N*/ 
-/*N*/ 	ULONG nStructSz;
+/*N*/ 	sal_uInt32 nStructSz;
 /*N*/ 	rIStream >> nStructSz;
 /*N*/ 
 /*N*/ 	DBG_ASSERT( ( nWhich == 0x22 /*EE_FORMAT_BIN300*/ ) || ( nWhich == EE_FORMAT_BIN ), "CreateTextObject: Unbekanntes Objekt!" );
@@ -1842,11 +1842,11 @@
 /*N*/ 	GetPool()->Load( rIStream );
 /*N*/ 
 /*N*/ 	// Die Anzahl der Absaetze...
-/*N*/ 	ULONG nParagraphs;
+/*N*/ 	sal_uInt32 nParagraphs;
 /*N*/ 	rIStream >> nParagraphs;
 /*N*/ 
 /*N*/ 	// Die einzelnen Absaetze...
-/*N*/ 	for ( ULONG nPara = 0; nPara < nParagraphs; nPara++ )
+/*N*/ 	for ( sal_uInt32 nPara = 0; nPara < nParagraphs; nPara++ )
 /*N*/ 	{
 /*N*/ 		ContentInfo* pC = CreateAndInsertContent();
 /*N*/ 
@@ -1863,13 +1863,13 @@
 /*N*/ 		pC->GetParaAttribs().Load( rIStream );
 /*N*/ 
 /*N*/ 		// Die Anzahl der Attribute...
-/*N*/ 		ULONG nAttribs;
+/*N*/ 		sal_uInt32 nAttribs;
 /*N*/ 		rIStream >> nAttribs;
 /*N*/ 
 /*N*/ 		// Und die einzelnen Attribute
 /*N*/ 		// Items als Surregate => immer 8 Byte pro Attrib
 /*N*/ 		// Which = 2; Surregat = 2; Start = 2; End = 2;
-/*N*/ 		for ( ULONG nAttr = 0; nAttr < nAttribs; nAttr++ )
+/*N*/ 		for ( sal_uInt32 nAttr = 0; nAttr < nAttribs; nAttr++ )
 /*N*/ 		{
 /*N*/ 			USHORT nWhich, nStart, nEnd;
 /*N*/ 			const SfxPoolItem* pItem;
Index: bf_svx/source/editeng/svx_impedit2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/svx_impedit2.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_svx/source/editeng/svx_impedit2.cxx	8 Sep 2005 05:26:27 -0000	1.7
+++ bf_svx/source/editeng/svx_impedit2.cxx	27 Apr 2006 12:19:11 -0000	1.7.70.1
@@ -2786,14 +2786,14 @@
 /*?*/ 	return aPaM;
 /*N*/ }
 
-/*N*/ ULONG ImpEditEngine::GetTextHeight() const
+/*N*/ sal_uInt32 ImpEditEngine::GetTextHeight() const
 /*N*/ {
 /*N*/ 	DBG_ASSERT( GetUpdateMode(), "Sollte bei Update=FALSE nicht verwendet werden: GetTextHeight" );
 /*N*/ 	DBG_ASSERT( IsFormatted() || IsFormatting(), "GetTextHeight: Nicht formatiert" );
 /*N*/ 	return nCurTextHeight;
 /*N*/ }
 
-/*N*/ ULONG ImpEditEngine::CalcTextWidth( BOOL bIgnoreExtraSpace )
+/*N*/ sal_uInt32 ImpEditEngine::CalcTextWidth( BOOL bIgnoreExtraSpace )
 /*N*/ {
 /*N*/ 	// Wenn noch nicht formatiert und nicht gerade dabei.
 /*N*/ 	// Wird in der Formatierung bei AutoPageSize gerufen.
@@ -2856,10 +2856,10 @@
 /*?*/ 		nMaxWidth = 0;
 /*N*/ 
 /*N*/ 	nMaxWidth++; // Ein breiter, da in CreateLines bei >= umgebrochen wird.
-/*N*/ 	return (ULONG)nMaxWidth;
+/*N*/ 	return (sal_uInt32)nMaxWidth;
 /*N*/ }
 
-/*N*/ ULONG ImpEditEngine::CalcLineWidth( ParaPortion* pPortion, EditLine* pLine, BOOL bIgnoreExtraSpace )
+/*N*/ sal_uInt32 ImpEditEngine::CalcLineWidth( ParaPortion* pPortion, EditLine* pLine, BOOL bIgnoreExtraSpace )
 /*N*/ {
 /*N*/ 	USHORT nPara = GetEditDoc().GetPos( pPortion->GetNode() );
 /*N*/     ULONG nOldLayoutMode = GetRefDevice()->GetLayoutMode();
@@ -2869,7 +2869,7 @@
 /*N*/     SvxAdjust eJustification = GetJustification( nPara );
 /*N*/ 
 /*N*/     // Berechnung der Breite ohne die Indents...
-/*N*/ 	ULONG nWidth = 0;
+/*N*/ 	sal_uInt32 nWidth = 0;
 /*N*/     USHORT nPos = pLine->GetStart();
 /*N*/ 	for ( USHORT nTP = pLine->GetStartPortion(); nTP <= pLine->GetEndPortion(); nTP++ )
 /*N*/ 	{
@@ -2907,10 +2907,10 @@
 /*N*/     return nWidth;
 /*N*/ }
 
-/*N*/ ULONG ImpEditEngine::CalcTextHeight()
+/*N*/ sal_uInt32 ImpEditEngine::CalcTextHeight()
 /*N*/ {
 /*N*/ 	DBG_ASSERT( GetUpdateMode(), "Sollte bei Update=FALSE nicht verwendet werden: CalcTextHeight" );
-/*N*/ 	ULONG nY = 0;
+/*N*/ 	sal_uInt32 nY = 0;
 /*N*/ 	for ( USHORT nPortion = 0; nPortion < GetParaPortions().Count(); nPortion++ )
 /*N*/ 		nY += GetParaPortions()[nPortion]->GetHeight();
 /*N*/ 	return nY;
Index: bf_svx/source/editeng/svx_impedit3.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/svx_impedit3.cxx,v
retrieving revision 1.8
retrieving revision 1.8.40.1
diff -u -r1.8 -r1.8.40.1
--- bf_svx/source/editeng/svx_impedit3.cxx	19 Jan 2006 17:28:27 -0000	1.8
+++ bf_svx/source/editeng/svx_impedit3.cxx	27 Apr 2006 12:26:03 -0000	1.8.40.1
@@ -777,7 +777,7 @@
 /*N*/ 	SvxFont aTmpFont( pNode->GetCharAttribs().GetDefFont() );
 /*N*/ 
 /*N*/ 	sal_Bool bCalcCharPositions = sal_True;
-/*N*/ 	long* pBuf = new long[ pNode->Len() ];
+/*N*/ 	sal_Int32* pBuf = new sal_Int32[ pNode->Len() ];
 /*N*/ 
 /*N*/ 	sal_Bool bSameLineAgain = sal_False;	// Fuer TextRanger, wenn sich die Hoehe aendert.
 /*N*/ 	TabInfo aCurrentTab;
@@ -2932,8 +2932,8 @@
 /*N*/ 								XubString aText;
 /*N*/                                 USHORT nTextStart = 0;
 /*N*/                                 USHORT nTextLen = 0;
-/*N*/ 								const long* pDXArray = 0;
-/*N*/ 								long* pTmpDXArray = 0;
+/*N*/ 								const sal_Int32* pDXArray = 0;
+/*N*/ 								sal_Int32* pTmpDXArray = 0;
 /*N*/ 
 /*N*/ 								if ( pTextPortion->GetKind() == PORTIONKIND_TEXT )
 /*N*/ 								{
@@ -2951,7 +2951,7 @@
 /*?*/                                     nTextStart = 0;
 /*?*/                                     nTextLen = aText.Len();
 /*?*/ 
-/*?*/ 									pTmpDXArray = new long[ aText.Len() ];
+/*?*/ 									pTmpDXArray = new sal_Int32[ aText.Len() ];
 /*?*/ 									pDXArray = pTmpDXArray;
 /*?*/ 									Font aOldFont( GetRefDevice()->GetFont() );
 /*?*/ 									aTmpFont.SetPhysFont( GetRefDevice() );
Index: bf_svx/source/editeng/svx_impedit4.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/editeng/svx_impedit4.cxx,v
retrieving revision 1.7
retrieving revision 1.7.72.1
diff -u -r1.7 -r1.7.72.1
--- bf_svx/source/editeng/svx_impedit4.cxx	8 Sep 2005 05:27:00 -0000	1.7
+++ bf_svx/source/editeng/svx_impedit4.cxx	27 Apr 2006 12:26:03 -0000	1.7.72.1
@@ -1284,7 +1284,7 @@
 /*N*/ 	if ( pPortionInfo && ( (long)pPortionInfo->GetPaperWidth() == aPaperSize.Width() )
 /*N*/ 			&& ( pPortionInfo->GetRefMapMode() == GetRefDevice()->GetMapMode() ) )
 /*N*/ 	{
-/*?*/ 		if ( ( pPortionInfo->GetRefDevPtr() == (sal_uInt32)GetRefDevice() ) ||
+/*?*/ 		if ( ( pPortionInfo->GetRefDevPtr() == (sal_uIntPtr)GetRefDevice() ) ||
 /*?*/ 			 ( ( pPortionInfo->GetRefDevType() == OUTDEV_VIRDEV ) &&
 /*?*/ 			   ( GetRefDevice()->GetOutDevType() == OUTDEV_VIRDEV ) ) )
 /*?*/ 		bUsePortionInfo = sal_True;
Index: bf_svx/source/items/svx_flditem.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/items/svx_flditem.cxx,v
retrieving revision 1.9
retrieving revision 1.9.10.1
diff -u -r1.9 -r1.9.10.1
--- bf_svx/source/items/svx_flditem.cxx	7 Apr 2006 13:26:42 -0000	1.9
+++ bf_svx/source/items/svx_flditem.cxx	27 Apr 2006 10:24:29 -0000	1.9.10.1
@@ -80,7 +80,7 @@
 #include "so3/staticbaseurl.hxx"
 namespace binfilter {
 
-#define FRAME_MARKER	(ULONG)0x21981357
+#define FRAME_MARKER	(sal_uInt32)0x21981357
 #define CHARSET_MARKER	(FRAME_MARKER+1)
 
 // -----------------------------------------------------------------------
@@ -415,7 +415,7 @@
 /*N*/ void SvxURLField::Load( SvPersistStream & rStm )
 /*N*/ {
 /*N*/ 	USHORT nFormat;
-/*N*/ 	ULONG nFrameMarker, nCharSetMarker;
+/*N*/ 	sal_uInt32 nFrameMarker, nCharSetMarker;
 /*N*/ 	long nUlongSize = (long)sizeof(ULONG);
 /*N*/ 	String aTmpURL;
 /*N*/ 
@@ -696,7 +696,7 @@
 /*N*/         break;
 /*N*/ 	}
 /*N*/ 
-/*N*/     ULONG nFormatKey;
+/*N*/     sal_uInt32 nFormatKey;
 /*N*/ 
 /*N*/ 	switch( eTmpFormat )
 /*N*/ 	{
Index: bf_svx/source/items/svx_frmitems.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/items/svx_frmitems.cxx,v
retrieving revision 1.7
retrieving revision 1.7.38.1
diff -u -r1.7 -r1.7.38.1
--- bf_svx/source/items/svx_frmitems.cxx	20 Jan 2006 11:38:46 -0000	1.7
+++ bf_svx/source/items/svx_frmitems.cxx	27 Apr 2006 10:19:20 -0000	1.7.38.1
@@ -505,8 +505,8 @@
 
 // -----------------------------------------------------------------------
 
-/*N*/ SvxLRSpaceItem::SvxLRSpaceItem( const sal_Int32 nLeft, const sal_Int32 nRight,
-/*N*/ 								const sal_Int32 nTLeft, const short nOfset,
+/*N*/ SvxLRSpaceItem::SvxLRSpaceItem( const long nLeft, const long nRight,
+/*N*/ 								const long nTLeft, const short nOfset,
 /*N*/ 								const sal_uInt16 nId ) :
 /*N*/ 
 /*N*/ 	SfxPoolItem( nId ),
Index: bf_svx/source/items/svx_svxfont.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/items/svx_svxfont.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_svx/source/items/svx_svxfont.cxx	8 Sep 2005 06:20:45 -0000	1.6
+++ bf_svx/source/items/svx_svxfont.cxx	27 Apr 2006 10:27:41 -0000	1.6.72.1
@@ -478,7 +478,7 @@
 /*N*/ }
 
 /*N*/ Size SvxFont::QuickGetTextSize( const OutputDevice *pOut, const XubString &rTxt,
-/*N*/ 						 const USHORT nIdx, const USHORT nLen, long* pDXArray ) const
+/*N*/ 						 const USHORT nIdx, const USHORT nLen, sal_Int32* pDXArray ) const
 /*N*/ {
 /*N*/ 	if ( !IsCaseMap() && !IsKern() )
 /*N*/ 		return Size( pOut->GetTextArray( rTxt, pDXArray, nIdx, nLen ),
@@ -565,7 +565,7 @@
 
 /*N*/ void SvxFont::QuickDrawText( OutputDevice *pOut,
 /*N*/ 	const Point &rPos, const XubString &rTxt,
-/*N*/ 	const xub_StrLen nIdx, const xub_StrLen nLen, const long* pDXArray ) const
+/*N*/ 	const xub_StrLen nIdx, const xub_StrLen nLen, const sal_Int32* pDXArray ) const
 /*N*/ {
 /*N*/ 	// Font muss ins OutputDevice selektiert sein...
 /*N*/ 	if ( !IsCaseMap() && !IsCapital() && !IsKern() && !IsEsc() )
